Package org.eclipse.cdt.core.browser

# Class UnknownTypeInfo

java.lang.Object
org.eclipse.cdt.core.browser.TypeInfo
org.eclipse.cdt.core.browser.UnknownTypeInfo

All Implemented Interfaces:
  `ITypeInfo`

@Deprecated public class UnknownTypeInfo extends TypeInfo
Deprecated.
not used anywhere.

Restriction:
  This class is not intended to be subclassed by clients.
Restriction:
  This class is not intended to be instantiated by clients.

## Field Summary

### Fields inherited from interface org.eclipse.cdt.core.browser.ITypeInfo

`KNOWN_TYPES`

## Method Summary

### Methods inherited from class org.eclipse.cdt.core.browser.TypeInfo

`addDerivedReference, addReference, canSubstituteFor, compareTo, encloses, exists, getCElementType, getDerivedReferences, getEnclosedTypes, getEnclosedTypes, getEnclosingNamespace, getEnclosingProject, getEnclosingType, getEnclosingType, getName, getQualifiedTypeName, getReferences, getResolvedReference, getRootNamespace, getSubTypes, getSuperTypeAccess, getSuperTypes, hasEnclosedTypes, hasSubTypes, hasSuperTypes, isClass, isEnclosed, isEnclosed, isEnclosedType, isEnclosingType, isExactMatch, isReferenced, isReferenced, isUndefinedType, isValidType, setCElementType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`